@import "../../assets/scss/global";

.background {
    width: 100%;

    @include largeScreen {
        background: url("/images/home/banner/bg-blur.png") no-repeat padding-box;
        background-position-y: -80px;
    }

    [class~="slider-control-bottomcenter"] {
        bottom: -30px !important;

        ul {
            gap: 6px;
            display: flex;
            position: static !important;
            flex-direction: row;
            align-items: center;

            li {
                display: block;

                button {
                    display: block;
                    height: 8px;
                    width: 8px;
                    background: #FFBEAF !important;
                    border-radius: 100%;

                    svg {
                        display: none;
                    }
                }

                &[class~="active"] {
                    button {
                        width: 40px;
                        border-radius: 4px;
                        background: #FF6337 !important
                    }
                }
            }
        }
    }

    .banner-section {
        padding-bottom: 40px;
    }

    @include largeScreen {
        [class~="slider-control-bottomcenter"] {
            bottom: -16px !important;
        }

        .banner-section {
            padding-bottom: 24px;
        }
    }
}

.banner-wrapper {
    display: flex;
    width: 100%;
    align-items: center;
    box-sizing: border-box;
    flex-direction: column;
    gap: 30px;

    @include largeScreen {
        padding-top: 70px;
        padding-bottom: 16px;
        flex-direction: row;
        justify-content: space-between;
        padding-left: 10px;
        gap: 60px;
    }

    .banner-left {
        display: flex;
        width: 100%;
        flex-direction: column;
        justify-content: end;
        row-gap: 20px;
        order: 1;

        .title {
            text-align: left; 
            @include largeScreen{
                text-align: right;
            }

            //h1, h3, h4{
            //    text-transform: uppercase;
            //}

            h3{
                color: #7F61F8;
                font-size: 18px;
                @include largeScreen{
                    font-size: 30px;
                    line-height: 1.3;
                }
            }

            h1{
                color: $primary-color5;
                font-size: 30px;
                line-height: 50px;
                
                @include largeScreen{
                    font-size: 44px;
                    line-height: 1.3;
                }
            }

            h4{
                color: #000000;
                font-size: 20px;
                @include largeScreen{
                    font-size: 30px;
                    line-height: 1.3;
                }
            }
        }

        > h4{
            color: $primary-color;
            font-size: 15px;
            @include largeScreen{
                text-align: right;
                font-size: 17px;
            }
        }

        .description {
            width: 100%;
            line-height: 24px;
            font-size: 15px;
            text-align: justify;
            
            @include largeScreen{
                font-size: 16px;
            }

            span {
                color: $primary-color;
            }

            &.flash-sale {
                span {
                    color: #202226;
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 24px;


                    @include tabletScreen {
                        text-align: justify;
                    }
                }
                b {
                    color: #202226;
                    font-size: 16px;
                    font-weight: 700;
                    line-height: 24px;

                    @include tabletScreen {
                        text-align: justify;
                    }
                }

                ul {
                    width: 100%;
                    text-align: start;
                    padding-left: 30px;

                    li {
                        list-style-type: disc;
                        font-weight: 500;

                        @include tabletScreen {
                            text-align: justify;
                        }
                    }
                }

                i {
                    color: #202226;
                    font-size: 16px;
                    font-style: italic;
                    font-weight: 500;
                    line-height: 24px;

                    @include tabletScreen {
                        text-align: justify;
                    }
                }
            }
        }

        .feature-title {
            .label {
                font-size: 18px;
                font-style: normal;
                font-weight: 700;
                color: #7F61F8;
            }

            .name {
                color: #E3471B;
                font-size: 28px;
                font-style: normal;
                font-weight: 700;
            }
        }

        .label-available {
            color: #000000;
            font-size: 20px;
            font-weight: 700;
            margin-top: 6px;

            label {
                vertical-align: middle;
            }

            .i-test {
                color: #FFF;
                font-size: 16px;
                font-style: normal;
                font-weight: 700;
                padding: 2px 10px;
                border-radius: 6.635px;
                background: #E3471B;
                white-space: nowrap;
            }
        }

        @include largeScreen {
            order: 0;
            width: 45%;

            .feature-title {
                .label {
                    font-size: 30px;
                }

                .name {
                    font-size: 44px;
                }
            }

            .label-available {
                font-size: 30px;

                .i-test {
                    font-size: 18px;
                }
            }
        }

        .btn-sign-up {
            width: 200px;
            box-sizing: border-box;
            box-shadow: none;

            span {
                font-size: 28px;
            }
        }
    }

    .banner-right {
        order: 0;
        position: relative;
        width: 100%;

        &::after {
            display: block;
            width: 100%;
            padding-top: 66%;
            content: '';
        }

        @include largeScreen {
            width: 55%;
            order: 1;
        }

        img {
            object-fit: contain;
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
        }
    }
}